/* animation */
@keyframes zoom-in-zoom-out {
    0% {
        transform: scale(1, 1);
    }

    50% {
        transform: scale(1.5, 1.5);
    }

    100% {
        transform: scale(1, 1);
    }
}

/* scrollbar */
::-webkit-scrollbar {
    width: 7px;
    height: 7px;
}

::-webkit-scrollbar-track {
    background: #F2F2F2;
    border-radius: 10px;
}

::-webkit-scrollbar-thumb {
    border-radius: 10px;
    background-color: #3F454D;
}

/* GLOBAL */
body.loading {
    overflow: hidden;
}
/* fix datatable */
table {
    width: 100% !important;
}

.tareen-time,
.tareen-date {
    display: block;
    text-align: center;
    
}

.tareen-time::before {
    content: '';
    display: inline-block;
    background-image: url('/images/icons/time-ico.svg');
    background-repeat: no-repeat;
    background-position: bottom;
    background-size: contain;
    width: 13px;
    height: 13px;
    margin-right: 5px;
}
.tareen-date::before {
    content: '';
    display: inline-block;
    background-image: url('/images/icons/calendar-ico.svg');
    background-repeat: no-repeat;
    background-position: bottom;
    background-size: contain;
    width: 13px;
    height: 13px;
    margin-right: 5px;
}

.truncate {
    max-width: 200px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.sidebar-icon-only .sidebar-seperator {
    display: none;
}

/* datatable styling */
.page-item .page-link {
    border-radius: 8px;
}

.page-item.disabled .page-link {
    pointer-events: none;
    opacity: .4;
}

.page-item.disabled:hover .page-link {
    background: none !important;
    color: #000;
    opacity: .4;
    border-color: #f2f2f2;
}

.page-item {

    margin: 0 .25rem;
}

.dataTable {
    width: 100% !important
}

.dataTables_filter label {
    width: 100% !important;
}

.dataTables_filter input {
    margin: 0 .5rem;
    width: 100% !important;
}
.sidebar .nav .nav-item .nav-link {
    color: #aaa;
    font-weight: bold;
    align-items: flex-end;
}

.select2-container {
    display: block;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
    top: 10px;
}

.nav-item.active>a>i img,
.nav-item:hover>a>i img {
    filter: brightness(0) invert(1);
}

.loading-screen {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #fff;
    opacity: 1;
    z-index: 99999;
    display: flex;
    justify-content: center;
    align-items: center;
}

.loading-screen #icon {
    /* position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%); */
    width: 150px;
    height: 100px;
    background: url(/images/platinyagold-v.png) no-repeat center;
    background-size: 150px 50px;
    animation: zoom-in-zoom-out .92s linear infinite;
}
.navbar .navbar-brand-wrapper .navbar-brand img{
    height: 50px!important;
}

.search-container {
    border: 1px solid transparent;
}

.search-container.active {
    border: 1px solid #3F454D;
}

.show-scrollbar {
    overflow-y: scroll;
    max-height: 300px;
    height: fit-content;
    min-height: 300px;

}
.show-scrollbar-chat {
    overflow-y: scroll;
    max-height: 400px;
    height: fit-content;
    min-height: 400px;

}

a {
    text-decoration: none;
    color: #3FA6EA;
}

a:hover {
    text-decoration: none;
    color: #707883;
}

.goToPage {
    cursor: pointer;
}

.images-thumbnails {
    width: 75px;
    height: 75px;
    object-fit: cover;
    margin: 5px;
    border-radius: 6px;
    border: 2px solid #CED4DA;
}

.force-ltr {
    direction: ltr !important;
}

.force-width {
    width: 30px !important;
    text-overflow: wrap;
}

.card {
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.02);
}

.page-title {
    margin: 0 1rem 0 3rem;
    color: black;
    font-weight: bold;
}

.swal2-popup {
    padding: 0 !important;
    padding-top: 40px !important;
}

.swal2-icon.swal2-warning {
    border-color: #FFC100;
    color: #FFC100;
}

.swal2-styled.swal2-confirm {
    background-color: #3F454D;
    border-color: #3F454D;
    color: #fff;
}

.swal2-styled.swal2-confirm:hover {
    background-color: #707883;
    border-color: #707883 !important;
    color: #fff !important;
}

.swal2-styled.swal2-cancel {
    background-color: #fff;
    border: 1px solid;

    border-color: #3F454D !important;
    color: #3F454D !important;
}

.swal2-styled.swal2-cancel:hover {
    background-color: #fff !important;
    background-image: none !important;
    border-color: #707883 !important;
    color: #707883 !important;
}

.swal2-modal .swal2-icon,
.swal2-modal .swal2-success-ring {
    margin: 0;
    margin-bottom: 1rem;
}

.swal2-actions {
    margin: 2.25em auto;
}

/* BUTTONS */

/** normal button **/
.btn-tareen-primary {
    background-color: #3F454D;
    border-color: #3F454D;
    color: #fff;
}

.btn-tareen-primary:hover {
    background-color: #707883;
    border-color: #707883;
    color: #fff;
}

.btn-tareen-secondary {
    background-color: #fff;
    border-color: #3F454D;
    color: #3F454D;
}

.btn-tareen-secondary:hover {
    background-color: #fff;
    border-color: #707883;
    color: #707883;
}

/** small button **/
.btn-sm-tareen-primary {
    background-color: #3F454D;
    border-color: #3F454D;
    color: #fff;
    padding: .8rem 2rem;
    font-size: .875rem !important;
}

.btn-sm-tareen-secondary {
    background-color: #fff;
    border-color: #3F454D;
    color: #3F454D;
    padding: .8rem 2rem;
    font-size: .875rem !important;
}

.btn-sm-tareen-primary:hover {
    background-color: #707883;
    border-color: #707883;
    color: #F2F2F2;
}

.btn-sm-tareen-secondary:hover {
    background-color: #F2F2F2;
    border-color: #707883;
    color: #707883;
}

.btn-sm-tareen-star {
    color: #3F454D;
    font-size: .875rem !important;
    width: 5px!important;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    filter: brightness(0) invert(.7);
    max-width: 5px!important;
}
.btn-sm-tareen-star.active {
    filter: unset;
}

.btn-sm-tareen-star:hover {
    filter: unset;
}

/** filter button with dropdown **/

.btn-tareen-upload {
    background-color: #fff;
    border-color: #3F454D;
    color: #3F454D;
    padding: .5rem 2rem .5rem 2.5rem;
    font-size: .8rem !important;
    position: relative;

}

.btn-tareen-upload:hover {
    background-color: #707883;
    color: #fff;
}

/** filter button with dropdown **/

.btn-tareen-filter {
    background-color: #fff;
    border-color: #3F454D;
    color: #3F454D;
    padding: .5rem 2rem .5rem 2.5rem;
    font-size: .8rem !important;
    position: relative;

}

.btn-tareen-filter:hover {
    background-color: #707883;
    color: #fff;
}

.btn-tareen-filter.active {
    background-color: #3F454D;
    color: #fff;
}

.btn-tareen-filter::after {
    content: '';
    position: absolute;
    left: 12px;
    top: 10px;
    background-image: url('/images/icons/arrow-down.svg');
    background-repeat: no-repeat;
    background-size: 9px 9px;
    height: 15px;
    width: 10px;
    transition: .5s all;

}

.btn-tareen-filter:hover::after {
    filter: brightness(0) invert(1);
}

.btn-tareen-filter.active::after {
    top: 7px;
    transform: rotate(90deg);
    transition: .5s all;
}

.filter-container {
    display: none;
}

.filter-container .section-header {
    margin: 0 !important;
}

.filter-container .filter-container-body {
    margin-top: 1rem;
    padding: 0 1.5rem;
}

#priceFilter .filter-container-body {
    margin-top: 6rem !important;
}

/* TEXT COLORS */
.text-tareen-primary {
    color: #3F454D;
}

.text-tareen-white {
    color: #fff;
}

.text-tareen-light {
    color: #AAAAAA;
}

/* BACKGROUND COLORS */
.bg-tareen-primary {
    background-color: #3F454D;
}

.bg-tareen-light {
    background-color: #AAAAAA;
}



/* TABLES */
.table thead th {
    border: none;
    color: #313E4C;
    font-weight: bold;
}

.table td {
    border: none;

}


.table thead th.actions-column {
    width: 20px !important;
}

.table-action-buttons {
    display: flex;
    justify-content: flex-end;
}

.table-action-buttons button {
    margin: 0 4px;
    border-radius: 12px;
}
img.table-img{
    min-width: 75px!important;
    max-width: 75px!important;
    min-height: 75px!important;
    max-height: 75px!important;
    
    object-fit: cover!important;
    padding: 0.25rem;
    background-color: #fff;
    border: 1px solid #dee2e6;
    border-radius: 0.25rem!important;
    /* max-width: 100%; */
    /* height: auto; */
}

table.dataTable thead .sorting_asc::after,
table.dataTable thead .sorting_asc::before,
table.dataTable thead .sorting_desc::after,
table.dataTable thead .sorting_desc::before {
    color: #3F454D;
}

/* CARDS */
/** sections card **/

.offer-card {
    padding: .3rem 1rem;
}

.card-tareen .offer-header .card-title {
    color: #313E4C;
    font-weight: bold;
    font-size: 1rem;
    margin: 0;
}

.card-tareen .section-header .card-title {
    color: #313E4C;
    font-weight: bold;
    font-size: 1.2rem;
    margin: 0;
}

.card-tareen .section-header .card-second-title {
    color: #aaa;
    font-weight: normal;
    font-size: .8rem;
    margin: 0;
    margin-top: .5rem;
    display: block;
}

.card-tareen .section-header {
    display: flex;
    justify-content: space-between;
    align-items: center !important;
    margin-top: 5px;
    margin-bottom: 30px;

}

.card-tareen .section-header button {
    padding-left: 4rem;
    padding-right: 4rem;
}

/** stats cards **/
.card-tareen-stats .card-title {
    color: #AAAAAA;
    margin-bottom: 7.5px;
    font-weight: bold;
    font-size: .8rem;
}

.card-tareen-stats h3 {
    font-weight: bold;
    /* font-size: 1.6rem; */
    margin-bottom: 0;
    direction: ltr;
}

.card-tareen-stats p {
    font-size: .75rem;
    margin-bottom: 0;
    color: #AAAAAA;
    direction: ltr;
}

.card-tareen-stats p.up {
    color: #57B657;
}

.card-tareen-stats p.down {
    color: #F74545;
}

/** offer cards **/
.client-details {
    padding: .3rem 1rem;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    margin-bottom: 15px;
}

.client-details .badge-tareen {
    padding: 5px 10px !important;
    margin-top: .1rem !important;
    margin-bottom: .5rem !important;
}

.client-info {
  
    border-bottom: 1px solid rgba(0, 0, 0, 0.315);
    padding-top: .5rem;
    padding-bottom: .5rem;
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: flex-start;
}

.client-info .client-text p {
    line-height: 30px;
    text-align: justify;
}





.client-child .label {
    font-weight: bold !important;
    font-size: .8rem;
}
.client-child .name-value {
    font-weight: normal !important;
    font-size: .8rem;
}

.client-child a {
    font-size: .8rem;
}

.client-info .client-child {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

.client-price .price .original-value {
    font-size: 1.2rem;
    font-weight: bold;
}

.client-price .price:not(.is-discount) .discounted-value {
    display: none;
}

.client-price .price.is-discount .original-value {
    font-size: .8rem;
    color: #AAAAAA;
}

.client-price .price.is-discount .original-value::after {
    content: '/';
}

.client-price .price.is-discount .discounted-value {
    font-size: 1.2rem;
    font-weight: bold;
}

.client-ratings {
      /* padding-top: 20px; */
      padding-bottom: 20px;
      /* border-top: 1px solid #E5E5E5; */
      border-bottom: 1px solid #E5E5E5;
      display: flex;
      flex-direction: row;
      width: 100%;
      direction: ltr;
      justify-content: space-between;
      align-items: center;
      /* margin-top: 1rem; */
      margin-bottom: 1rem;

}

.star-rating {
    display: flex;
    justify-content: space-around;
    align-items: center;
    border: 1px solid #E5E5E5;
    border-radius: 16px;
    padding: 0 10px;
    direction: ltr;
}

.star-rating .stars img:not(:last-child) {
    margin-right: -10px;
}

.rating-average {
    display: flex;
    justify-content: space-around;
    align-items: center;
    margin-top: 5px;
    /* margin-inline-start: 10px; */
    direction: ltr;
    color: #AAAAAA;
}

.rating-average::before {
    content: '';
    border-left: 1px solid #E5E5E5;
    width: 2px;
    background-color: transparent;
    /* padding-left: 10px; */
    height: 20px;
}

.rating-average span:first-child {
    font-weight: bold;
    color: black;
    margin-left: 5px;
    margin-right: 3px;
}

.rating-average span:last-child {
    font-weight: normal;
    font-size: .8rem;
}


/** center cards **/
.center-meta {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 1rem;
}

.center-meta img {
    width: 100px;
    height: 100px;
    border-radius: 16px;
}

.center-meta div {
    margin: 0 1rem;
}

.center-details {
    padding: .3rem 1rem;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    margin-bottom: 15px;
}

.center-details .badge-tareen {
    padding: 5px 10px !important;
    margin-top: .1rem !important;
    margin-bottom: .5rem !important;
}

.center-info {
    margin-top: 1rem;
    margin-bottom: 1rem;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: flex-start;
}

.center-info .center-text p {
    line-height: 30px;
    text-align: justify;
}



.center-info .center-child:not(.center-text) {
    margin-inline-end: 4rem;
}

.center-child .label {
    margin-bottom: .3rem;
    font-weight: bold !important;
    font-size: .8rem;
}

.center-child a {
    font-size: .8rem;
}

.center-info .center-child {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
}

.center-price .price .original-value {
    font-size: 1.2rem;
    font-weight: bold;
}

.center-price .price:not(.is-discount) .discounted-value {
    display: none;
}

.center-price .price.is-discount .original-value {
    font-size: .8rem;
    color: #AAAAAA;
}

.center-price .price.is-discount .original-value::after {
    content: '/';
}

.center-price .price.is-discount .discounted-value {
    font-size: 1.2rem;
    font-weight: bold;
}

.center-ratings {
    padding-top: 20px;
    padding-bottom: 20px;
    border-top: 1px solid #E5E5E5;
    border-bottom: 1px solid #E5E5E5;
    display: flex;
    flex-direction: row;
    width: 100%;
    direction: ltr;
    justify-content: space-between;
    align-items: center;
    margin-top: 1rem;
    margin-bottom: 1rem;

}

.center-action-buttons {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    margin-top: 1rem;
    margin-bottom: 1rem;
}

.star-rating {
    display: flex;
    justify-content: space-around;
    align-items: center;
    border: 1px solid #E5E5E5;
    border-radius: 16px;
    padding: 0 10px;
    direction: ltr;
}

.star-rating .stars img:not(:last-child) {
    margin-right: -10px;
}

.rating-average {
    display: flex;
    justify-content: space-around;
    align-items: center;
    margin-top: 5px;
    /* margin-inline-start: 10px; */
    direction: ltr;
    color: #AAAAAA;
}

.rating-average::before {
    content: '';
    border-left: 1px solid #E5E5E5;
    width: 2px;
    background-color: transparent;
    /* padding-left: 10px; */
    height: 20px;
}

.rating-average span:first-child {
    font-weight: bold;
    color: black;
    margin-left: 5px;
    margin-right: 3px;
}

.rating-average span:last-child {
    font-weight: normal;
    font-size: .8rem;
}



/* notifications list */
.notification-tareen {
    padding: 7px 7.5px;
    border-radius: 6px;
    cursor: pointer;
}

.notification-tareen:hover {
    background-color: #F2F2F2;
    width: 100%;
}

.notification-tareen .title {
    font-weight: bold;
}

.notification-tareen .info {
    color: #AAAAAA;
    margin-bottom: 0;
}

/* notifications list */
.chat-contact-tareen {
    padding: 7px 7.5px;
    margin-top: .2rem;
    border-radius: 6px;
    cursor: pointer;
}
.chat-contact-tareen .title-time {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    
}
.chat-contact-tareen .chat-meta {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;

}

.chat-contact-tareen:hover {
    background-color: #F2F2F2;
    width: 100%;
}

.chat-contact-tareen .title {
    font-weight: bold;
}

.chat-contact-tareen .info {
    margin-bottom: 0;
}
.chat-contact-tareen .time {
    color: #AAAAAA;
}

/* reviews list */
.review-tareen {
    padding: 7px 7.5px;
    border-radius: 6px;
    cursor: pointer;
}

.review-tareen:hover {
    background-color: #F2F2F2;
    width: 100%;
}

.review-meta {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
}

.review-tareen .review-meta .title {
    font-weight: bold;
}

.review-tareen .review-meta .time {
    color: #AAAAAA;
    margin-bottom: 0;
    margin: 0 .5rem;
    padding-bottom: 8px;

}

.review-tareen .info {
    color: #AAAAAA;
    margin-top: -5px;
    margin-bottom: 0;
}

.review-tareen .stars img {
    height: 20px;
    width: 20px;
    margin-left: -8px;
    margin-top: -15px;
}

.review-tareen .stars {
    direction: ltr;
}

/* chat list */
.chat-tareen {
    padding: 7px 7.5px;
    border-radius: 6px;

    width: fit-content;
    /* cursor: pointer; */
}

.chat-tareen.odd {
    margin-left: 0;
    margin-right: auto;
}

.chat-tareen.even {
    margin-right: 0;
    margin-left: auto;
}

.chat-odd,
.chat-even {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    margin-bottom: 10px;
}

.chat-tareen p:not(.title) {
    border-radius: 12px;
    padding: 1rem 1rem 1rem 2.5rem;
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.05);
    min-width: 200px;
    max-width: 500px;
    width: fit-content;
    white-space: pre-wrap;

}

.chat-even p:not(.title) {
    border-top-right-radius: 0 !important;
    background-color: #3F454D;
    color: #fff;
}

.chat-odd p:not(.title) {
    border-top-left-radius: 0 !important;
    background-color: #f2f2f2;
    color: #646464;
}

.chat-tareen img {
    margin-left: 10px;
    margin-right: 10px;
}

.chat-odd {
    /* text-align: left; */
    flex-direction: row-reverse;
    /* justify-content: flex-end; */
}

.chat-meta {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
}

.chat-tareen .chat-meta .title {
    font-weight: bold;
}

.chat-tareen .chat-meta .time {
    color: #AAAAAA;
    margin-bottom: 0;
    margin: 0 .5rem;
}






/* carousel */
.carousel-tareen {
    position: relative;
    height: 300px;

}

.carousel-tareen .image-carousel {
    border-radius: 6px;
    height: 300px;

}

.carousel-tareen .image-carousel img {
    object-fit: cover;
    height: 300px;
}

.tareen-carousel-controler {
    position: absolute;
    top: 130px;
    width: 100%;
    padding: 0 12px;
    height: 100%;
}

.tareen-carousel-control-prev,
.tareen-carousel-control-next {
    display: inline-block;
    width: 40px;
    height: 40px;
    background: 50% / 100% 100% no-repeat;
    cursor: pointer;

}

.tareen-carousel-control-next {
    background-image: url("/images/icons/arrow-inactive.svg");
}

.tareen-carousel-control-next:hover {
    background-image: url("/images/icons/arrow-active.svg");
    background-repeat: no-repeat;
    /* rotate element */
    transform: rotate(180deg);
}

.tareen-carousel-control-prev {
    background-image: url("/images/icons/arrow-inactive.svg");
    transform: rotate(180deg);

}

.tareen-carousel-control-prev:hover {
    background-image: url("/images/icons/arrow-active.svg");
    background-repeat: no-repeat;
    /* rotate element */
    transform: rotate(0deg);


}

/* status badge */
.badge-tareen {
    background-color: #F2F2F2;
    border-radius: 15px !important;
    padding: 9px 10px !important;
    text-align: center;
    width: fit-content !important;
    min-width: 100px !important;
    color: #313E4C;
    font-size: 0.8rem;
    margin: auto;
}

.badge-tareen.badge-tareen-green {
    background-color: #57B657 !important;
    color: #fff;
}

.badge-tareen.badge-tareen-red {
    background-color: #FF4747 !important;
    color: #fff;
}

.badge-tareen.badge-tareen-yellow {
    background-color: #FFC100 !important;
    color: #fff;
}

.badge-tareen.badge-tareen-grey {
    background-color: #AAAAAA !important;
    color: #fff;
}

/* filter buttons */
.filter-buttons {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    margin-bottom: 20px;
}

.filter-buttons>button {
    margin-left: 5px;
    margin-right: 5px;
}


/* forms */
.n5lab-form label:not(#uploadImageBtn):not(.error) {
    font-weight: bold;
    color: #313E4C;

}

.form-action-buttons {
    margin-top: 5rem;
}

.only-numbers,
.only-numbers-decimals {
    text-align: center;
}

label.error {
    color: #FF4747;
    font-size: 0.7rem !important;
}

/* chat page */
.chat-list .show-scrollbar {
    min-height: calc(100vh - 250px);
    /* overflow-y: scroll; */
}

.chat-list ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.send-message-container {
    justify-content: center;
    align-items: center;
    padding: 2px 10px;
    border: 2px solid #E5E5E5;
    border-radius: 6px;
    margin: 1rem .5rem 0;
    width: auto;
}

.send-message-container.focus {
    border: 2px solid #3F454D;
    box-shadow: none;
}

.send-message-container .form-control {
    /* vertical align text */
    padding: 1.5rem 0.5rem 0.5rem 0;
    border: 0 !important;
}

/* date picker */

.daterangepicker .drp-calendar.right {
    border-left: 1px solid #aaa;
}

.daterangepicker td.in-range {
    background-color: #3F454D1f;
    border-color: transparent;
    color: #000;
    /* border-radius: 0; */
}

.daterangepicker .ranges li.active {
    background-color: #3F454D;
    color: #fff;
    font-weight: bold;
}

.daterangepicker .ranges li:not(.active):hover {
    background-color: #3F454D1f;


}

/* .daterangepicker td.today{
    background-color: #3F454D1f;
    font-weight: bold;
} */
.daterangepicker td.active:not(.off),
.daterangepicker td.active:not(.off) {
    background-color: #3F454D !important;
    border-color: transparent;
    color: #fff !important;
}

.daterangepicker td.available:hover,
.daterangepicker th.available:hover {
    background-color: #3F454D1f;
    border-color: transparent;
    color: inherit;
}

.daterangepicker td.in-range:not(.start-date):hover {
    /* border-radius: 0 4px 4px 0; */
    background-color: #3F454D !important;
    border-color: transparent;
    color: #fff !important;
}

.daterangepicker .yearselect,
.daterangepicker .monthselect {
    border: 0;
    outline: 1px solid #CED4DA;
    color: #495057;
    font-weight: 400;
    border-radius: 4px;
    background-color: #ffffff;
    background-clip: padding-box;
    text-align: center !important;
}


/* center option inside select */
.daterangepicker .yearselect option,
.daterangepicker .monthselect option {
    text-align: center !important;
}

.daterangepicker th {
    font-family: 'Gulf', sans-serif;
    font-size: 0.5rem !important;
}

.daterangepicker .ranges {
    text-align: center !important;
    font-family: 'Gulf', sans-serif;
}

.chart-bars {
    display: flex;
    align-items: flex-end;
    height: 100%;
    justify-content: flex-end;
    flex-wrap: nowrap;
    flex-direction: row;
}

.chart-bars .bar {
    border: 2px solid #3F454D;
    min-width: .4rem;
    max-width: .4rem;
    border: 2px solid #3F454D;
    background: #3F454D;
    border-radius: 25px!important;
    max-height: 100%;
    min-height: 0%;
    margin: .5rem 2px 1rem;
    transition: 3.5s all;
    animation: vertical-bar-tareen-animation 2s ease-in-out;
}
.progress-bar {
    animation: horizontal-bar-tareen-animation 2s ease-in-out;
    background-color: #3F454D !important;

}

@keyframes vertical-bar-tareen-animation {
    0% {
        height: 0;
        transition: .5s all;
    }

    50% {
        height: 100%;
        transition: .5s all;
    }
}

@keyframes horizontal-bar-tareen-animation {
    0% {
        width: 0;
        transition: .5s all;
    }

    50% {
        width: 100%;
        transition: .5s all;
    }
}

.nav-item.active::before {
    content: "";
    width: 3px;
    height: 26px;
    background: #6571ff;
    position: absolute;
    right: -25px;
}

.alert-tareen-message {
    color: #3F454D;
    background-color: #fff;
    border-color: #3F454D;
}

/* legends */
.legends-tareen .legend-label-values {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    margin-top: 1rem;

}

.legends-tareen .legend-label-only {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    margin-top: 2rem;

}

.legends-tareen .legend-labels-values-item {
    margin-left: .3rem;
    margin-right: .3rem;
}

.legends-tareen .legend-labels-values-item .legend-label,
.legends-tareen .legend-labels-item .legend-label {
    display: flex;
    justify-content: flex-start;
    align-items: center;
}

.legends-tareen .legend-labels-values-item .legend-value {
    padding-right: 1.4rem;
    font-weight: bold;
    font-size: 1.5rem;
}

.legends-tareen .legend-labels-values-item .legend-label .legend-item-text,
.legends-tareen .legend-labels-item .legend-label .legend-item-text {
    font-weight: bold;
    color: #313E4C;
    font-size: 0.7rem;
}

.legends-tareen .legend-labels-values-item .legend-label .legend-item-color,
.legends-tareen .legend-labels-item .legend-label .legend-item-color {
    width: 10px;
    height: 10px;
    border-radius: 50%;
    margin-right: .5rem;
    margin-left: .5rem;
}


/* notifications */
.notification-item {
    display: flex !important;
    justify-content: flex-start;
    align-items: center !important;
    margin-top: .2rem;
    width: 100%;
    clear: both;
    font-weight: 400;
    color: #1F1F1F;
    text-align: inherit;
    white-space: nowrap;
    background-color: transparent;
    border: 0;
    margin-bottom: 0;
    padding: 0.687rem 1.562rem;
    cursor: pointer;

}

.notification-item:hover,
.notification-item:focus {
    color: #16181b;
    text-decoration: none;
    background-color: #eaeaf1;
}

.notification-color .color {
    width: 10px;
    height: 10px;
    border-radius: 50%;
    margin-right: .5rem;
    margin-left: .5rem;
}



/* reports */
.report-charts .chart-label {
    font-weight: bold;
    color: #313E4C;

}

.tareen-progress {
    display: flex;
    height: .5rem;
    overflow: hidden;
    line-height: 0;
    font-size: 0.75rem;
    margin-inline-end: 1rem;
    background-color: transparent;
    border-radius: 16px;
}

.report-charts .chart-progress-bar {
    display: flex;
    flex-direction: column;
    justify-content: center;
    overflow: hidden;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    background-color: #007bff;
    transition: width 0.6s ease;
    border-radius: 16px;
}


/* reservation page */
.reservation-details {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.reservation-details .card-title {
    margin: 0;
    font-size: 1.5rem;
    font-weight: bold;
}

.reservation-date-time {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    margin-inline-start: 5rem;
}

.payment-details-table .payment-row .payment-cell{
    display: flex;
    justify-content: space-between;
    padding: .4rem .1rem;
}

.reservation-date {
    font-weight: bold;
}

.reservation-time {
    font-weight: normal;
    color: #828282;
    font-size: 0.8rem;
}
.payment-value:not(.no-style){
    font-size: .9rem;
    color: #AAAAAA;
}
.payment-value.no-style{
    font-size: .9rem;
    font-weight: bold!important;

}




/* reports */
.report-charts .chart-label {
    font-weight: bold;
    color: #313E4C;

}

.tareen-progress {
    display: flex;
    height: .5rem;
    overflow: hidden;
    line-height: 0;
    font-size: 0.75rem;
    margin-inline-end: 1rem;
    background-color: transparent;
    border-radius: 16px;
}

.report-charts .chart-progress-bar {
    display: flex;
    flex-direction: column;
    justify-content: center;
    overflow: hidden;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    background-color: #007bff;
    transition: width 0.6s ease;
    border-radius:16px;
}



/* settings */
.setting-item {
    display: flex !important;
    justify-content: flex-start;
    align-items: flex-start !important;
    margin-top: .2rem;
    width: 100%;
    clear: both;
    font-weight: 400;
    color: #1F1F1F;
    text-align: inherit;
    white-space: nowrap;
    background-color: transparent;
    border: 0;
    margin-bottom: 0;
    padding: 0.687rem;
    cursor: pointer;

}

.setting-item:hover,
.setting-item:focus {
    color: #16181b;
    text-decoration: none;
    background-color: #eaeaf1;
}




/* media query max 750   */
@media (max-width: 750px) {
    .card-tareen .section-header {
        flex-direction: column;
    }

    .card-tareen .section-header button {
        margin-top: 1.5rem;
    }

    .legends-tareen .legend-label-values {
        display: flex;
        justify-content: flex-start;
        align-items: center;
        margin-top: 1rem;
        flex-direction: column;
    }

    .filter-buttons {
        display: flex;
        justify-content: flex-start;
        align-items: stretch;
        margin-bottom: 20px;
        flex-direction: column;
    }

    .filter-buttons button {
        margin-bottom: .4rem;
    }
}